import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';


const makeSchema = () => z.object({
  id: z.literal(true).optional(),
  userId: z.literal(true).optional(),
  name: z.literal(true).optional(),
  phoneNumber: z.literal(true).optional(),
  createdAt: z.literal(true).optional()
}).strict();
export const InsuranceContactMinAggregateInputObjectSchema: z.ZodType<Prisma.InsuranceContactMinAggregateInputType> = makeSchema() as unknown as z.ZodType<Prisma.InsuranceContactMinAggregateInputType>;
export const InsuranceContactMinAggregateInputObjectZodSchema = makeSchema();
